Name: camorama
Summary: A GNOME webcam application
Version: 0.16
Release: 2mdk
License: GPL
Group: Video
URL: http://camorama.fixedgear.org
Source: %{name}-%{version}.tar.bz2
Source1: %name-16.png.bz2
Source2: %name-32.png.bz2
Source3: %name-48.png.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: glib2 >= 2.0, pango-devel, libgtk+2.0_0-devel
BuildRequires: libgnomeui2_0-devel
Requires: libgtk+2 >= 2.0.6
Requires: libgnomeui2 >= 2.0.3

%description
camorama is a program for controlling webcams. It is able to capture to various
image formats, as well as saving to a local dir or a FTP server on the web.
Right now you can change the video settings using the gui and apply some
filters. 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure2_5x
%make

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name  <<EOF
?package(%name): command="%_bindir/%name" needs="X11" \
icon="%name.png" section="Multimedia/Video" \
title="Camorama" longtitle="A GNOME webcam application" \
startup_notify="true"
EOF

# icon
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png


%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/camorama.schemas > /dev/null
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/gconf/schemas/%name.schemas
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%name.png
%{_datadir}/camorama
%{_menudir}/*
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Add schema registration => fix crash at startup..

* Tue Jan 21 2003 Austin Acton <aacton@yorku.ca> 0.16-1mdk
- 0.16
- play with files section

* Tue Dec 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.15-1mdk
- add icons
- from Matthias Debus <psic4t@netbands.de> :
	- initial contrib package
